Skip to main content

getRecentPrioritizationFees

POST

Returns a list of prioritization fees from recent blocks.
Responses
idinteger
The request ID
jsonrpcstring
The JSON-RPC version
slotinteger
Slot in which the fee was observed
prioritizationFeeinteger
The per-compute-unit fee paid by at least one successfully landed transaction, specified in increments of micro-lamports (0.000001 lamports)
codestringrequired
Code identifying the cause of the failed request.
messagestringrequired
Detailed message including the name and value of the invalid parameter.
{
"code": "ERROR_CODE",
"message": "Bad Request"
}
cURL
curl -X POST 'https://solana-mainnet.nodit.io' \
-H 'Content-Type: application/json' \
-H 'X-API-KEY: nodit-demo' \
-d '{
"jsonrpc": "2.0",
"id": 1,
"method": "getRecentPrioritizationFees",
"params": []
}'